{% extends "base.html" %}
{% block body %}
    <p class="inline">Änderungen der letzten
    <form id="top_n_form" method="get" class="inline">
        <select id="top_n_selector" name="top_n">
            <option {% if top_n == 10 %}selected{% endif %}>10</option>
            <option {% if top_n == 50 %}selected{% endif %}>50</option>
            <option {% if top_n == 100 %}selected{% endif %}>100</option>
        </select></form> |
    <form id="top_n_form" method="get" class="inline">
        <input type="number" placeholder="Anzahl" name="top_n">
        <button type="submit" class="btn btn-outline-primary"><i class="fa fa-arrow-right"></i></button>
    </form>
    Transaktionen.</p>
    <table class="table table-striped">
        <tr>
            <th>Datum</th>
            <th>User</th>
            <th colspan="2">Aktionen</th>
        </tr>
        {% for t,es in evitems %}
            {% for e in es %}
                <tr>
                    {% if loop.first %}
                        <td class="vertical-center" rowspan="{{ es|length }}">{{ t|strftime }}</td>
                    {% endif %}
                    <td>
                        {% if e.mgr.login_name %}
                            {{ e.mgr.first_name }} {{ e.mgr.last_name }} ({{ e.mgr.login_name }})
                            <a href="mailto:{{ e.mgr.first_name }} {{ e.mgr.last_name }}<{{ e.mgr.email }}>?subject=DNSVS: Adressbereich '
                            {{ area.name }}{{ area.suffix }}'">
                                <i class="fa fa-envelope"></i>
                            </a>
                        {% else %}
                            <i>Account-Information nicht vorhanden</i>
                        {% endif %}
                    </td>
                    <td>{{ e.evlog_dflt_typ_conf_action|capitalize }}</td>
                    <td>{{ e.log_data|nl2br }}</td>
                </tr>
            {% endfor %}
        {% endfor %}
    </table>
{% endblock %}
{% block post_script %}
    <script src="/static/js/netsuite.dnsvs.evlog_select.js"></script>
{% endblock %}
